Page MenuHomePhabricator

Update Structured Discussions Implementation of SpecialCheckUserGetLinksFromRow to CheckUserGetLinksFromRow
Closed, ResolvedPublic2 Estimated Story PointsJun 16 2020

Description

In T252031 SpecialCheckUserGetLinksFromRow was deprecated and CheckUserGetLinksFromRow was added. StructuredDiscussions should be updated with the new hook.

Event Timeline

dbarratt created this task.May 13 2020, 4:51 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptMay 13 2020, 4:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
ARamirez_WMF set the point value for this task to 2.May 13 2020, 4:54 PM
dbarratt renamed this task from Update the Flow Implementation for the CheckUserLinks hook to Update the Flow Implementation of SpecialCheckUserGetLinksFromRow to CheckUserGetLinksFromRow.May 13 2020, 4:54 PM
dbarratt renamed this task from Update the Flow Implementation of SpecialCheckUserGetLinksFromRow to CheckUserGetLinksFromRow to Update Structured Discussions Implementation of SpecialCheckUserGetLinksFromRow to CheckUserGetLinksFromRow.May 13 2020, 4:57 PM
dbarratt updated the task description. (Show Details)
ARamirez_WMF removed dbarratt as the assignee of this task.May 13 2020, 6:55 PM
ARamirez_WMF set Due Date to Jun 2 2020, 4:00 AM.May 21 2020, 3:08 AM
ARamirez_WMF changed the subtype of this task from "Task" to "Deadline".

Change 598056 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/extensions/Flow@master] Hooks: Use CheckUserGetLinksFromRow instead of deprecated hook

https://gerrit.wikimedia.org/r/598056

Change 598056 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Hooks: Add onCheckUserFormatRow for new hook from Special:Investigate

https://gerrit.wikimedia.org/r/598056

dom_walden added a subscriber: dom_walden.

I created a few Flow discussions and compared the output of the Timeline tab with the current CheckUser when "Get edits" is selected.

Information, links, etc. are the same, except the Timeline does not show Flow's autogenerated edit comment.

Special:Investigate:


Special:CheckUser:

I also compared the current CheckUser before and after this change by comparing to testwiki (in case we unintentionally changed anything).

I tested on my local docker (MediaWiki 1.35.0-alpha (fe3057c) 06:51, 5 June 2020; CheckUser 2.5 (b66ff7c) 06:52, 5 June 2020; Flow 1.2.0 (78b185c) 21:38, 4 June 2020).

ARamirez_WMF changed Due Date from Jun 2 2020, 4:00 AM to Jun 17 2020, 4:00 AM.Jun 9 2020, 5:24 PM
ARamirez_WMF changed Due Date from Jun 17 2020, 4:00 AM to Jun 16 2020, 4:00 AM.Jun 9 2020, 8:28 PM
Niharika closed this task as Resolved.Jul 31 2020, 9:43 PM